Subject: Re: [netmod] Meeting Notes from open YANG versioning Design Team meeting

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Mon, 1 Apr 2019 10:08:46 +0000

I agree that the requirements for SDO models are slightly different from vendors models.  Really, I think that the SDO requirements are a subset of the vendor model requirements.

I think that a single solution should be possible here.

Thanks,
Rob

From: Mahesh Jethanandani <[email-masked]>
Sent: 29 March 2019 21:17
To: Juergen Schoenwaelder <[email-masked]>
Cc: Rob Wilton (rwilton) <[email-masked]>; [email-masked]
Subject: Re: [netmod] Meeting Notes from open YANG versioning Design Team meeting

On Mar 29, 2019, at 11:31 AM, Juergen Schoenwaelder <[email-masked]<mailto:[email-masked]>> wrote:

On Fri, Mar 29, 2019 at 10:50:52AM -0700, Mahesh Jethanandani wrote:

The combination of these bullet items, and maybe other bullet items does not make clear if there was any consensus in allowing (or maybe even preventing) vendors from using a versioning system to keep track of NBC changes on other (non-latest) branches of the model. I think I heard from multiple vendors (outside of this meeting) that making NBC changes was needed on the non-latest branches, whatever IETF or other SDOs decide. Has that sentiment changed?

If it is the case, the split between the requirements of SDO and the vendors is inevitable.

If there is a solution that can handle multiple branches, then the
same solution should work for SDOs that choose to use only a single
branch. I do not see why a split is inevitable.

If a single solution works for both SDO and the vendor, that is great. And I think that was the point of the third bullet in the list I send.

But that does mean the requirements of SDO and the vendor community cannot be different. There is a strong requirement that SDOs make NBC changes only on the most recent version of the YANG models. In the vendor community, NBC changes are going to be made on non-latest branches also.

/js

--
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <https://www.jacobs-university.de/>

Mahesh Jethanandani
[email-masked]<mailto:[email-masked]>